Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7545 - Clicking the "Start" menu and logout too quick doesn't work
Summary: Clicking the "Start" menu and logout too quick doesn't work
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gtk+
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-03 16:00 UTC by David Balažic
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-04 16:14:53 UTC


Attachments (Terms of Use)

Description David Balažic 1999-12-03 16:00:51 UTC
GNOME desktop :
If I click on the GNOME menu ( i believe this is its name ), actually on
the icon and when the menu appears I click on "Logout" , nothing happens.
This happens only if I do the two clicks fast.
Maybe GNOME misunderstands the two clicks as one double-click ?

It probably happens with other menu entries too, but I didn't try.

I installed RH6.1 from the ISO image from ftp.netscape.com ( .cz mirror
actually )

Comment 1 Owen Taylor 2000-02-03 19:56:59 UTC
This is a small GTK+ bug that I now have a patch for that
I'll be putting in the Red Hat GTK+ packages in Raw Hide
soon.

Thanks,
                                          Owen

Comment 2 Owen Taylor 2000-02-04 16:14:59 UTC
Patch now applied to the package.

Thu Feb  3 14:46:01 2000  Owen Taylor  <otaylor@redhat.com>

	* gtk/gtkmenushell.c (gtk_menu_shell_button_release): Set
	the activate_time to 0, so that we handle a quick
	press/release press/release properly and don't suppress
	the second release. (Red Hat bug #7545)


Note You need to log in before you can comment on or make changes to this bug.